%global momorel 8

Summary: UPnP Daemon
Name: linux-igd
Version: 1.0
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
Source0: http://dl.sourceforge.net/sourceforge/linux-igd/linuxigd-%{version}.tar.gz
NoSource: 0
Source1: upnpd.init
Source2: UPnP.config
Patch0: linux-igd-path.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://linux-igd.sourceforge.net/
Requires(post): chkconfig
Requires(preun): chkconfig
Requires: iptables
BuildRequires: libupnp-devel
BuildRequires: gcc-c++ >= 3.4.1-1m

%description
linux-igd is a deamon that emulates Microsoft's Internet Connection Service
 (ICS). It implements the UPnP Internet Gateway Device specification (IGD)
and allows UPnP aware clients, such as MSN Messenger to work properly from
behind a NAT firewall.

%prep
%setup -q -n linuxigd-%{version}
%patch0 -p1 -b .dir

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post
if [ "$1" = "1" ]; then
	/sbin/chkconfig --add upnpd
	/sbin/chkconfig upnpd off
fi

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del upnpd
fi


%files
%defattr(-,root,root)
%doc LICENSE TODO
%dir %{_sysconfdir}/linuxigd/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/linuxigd/*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/upnpd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/upnpd
%attr(0644,root,root) %{_mandir}/man8/upnpd.8.*
%{_sbindir}/upnpd
%{_initscriptdir}/upnpd

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-8m)
- full rebuild for mo7 release

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-7m)
- use BuildRequires and Requires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-5m)
- rebuild against rpm-4.6

* Tue Oct 21 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-3m)
- do not use force bz2 man

* Mon Oct  6 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0-3m)
- stop auto-start

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-2m)
- rebuild against gcc43

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-1m)
- update 1.0

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.92-7m)
- add patch for gcc43, generated by gen43patch(v1)

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.92-6m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.92-5m)
- stop daemon

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (0.92-4m)
- %%{_initscriptdir}

* Sat Mar 20 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.92-3m)
- change docdir %%defattr

* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.92-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Jan 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.92-1m)
- version 0.92
